commit:     19f3574312dd29f587919ebf4aaeac6c94724375
Author:     Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Sat Jan 29 20:59:20 2022 +0000
Commit:     Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
CommitDate: Sat Jan 29 20:59:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=19f35743

net-misc/maestral: add 1.5.3

Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>

 net-misc/maestral/Manifest              |  1 +
 net-misc/maestral/maestral-1.5.3.ebuild | 63 +++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/net-misc/maestral/Manifest b/net-misc/maestral/Manifest
index bd9a13d45..46b9bdc18 100644
--- a/net-misc/maestral/Manifest
+++ b/net-misc/maestral/Manifest
@@ -1 +1,2 @@
 DIST maestral-1.5.2.tar.gz 8277812 BLAKE2B 
df901a0a98a51f3c611cd3aa3ff4d4662fa10cdd595df2214f1a4c9fd0da8c787531a21671261df7196869d1822c69884299f2bcecd0e4190bb81fcb55a8885f
 SHA512 
eafed2a3dbc55e3ee9417da393864ec94c76724949855805e99e3c65c29b1d33aeeb2ac063c0a4c115d3f03c002dbe899b6ec1ec6ebcb0a29386a39eabdeb769
+DIST maestral-1.5.3.tar.gz 8280040 BLAKE2B 
dcda43880cea3fb00098b6bf87e43318a523a7c9d83886efff58be715cde17f67504b31735a006b951963e5cf0ef70b4b6431cb84200722cae186053a01edd63
 SHA512 
aa21277623f4e6f3283cd989be910eeb1caa3a842abca595b27a551c1c9bd1e7ef083e495ee0f096190accd91835939cb2f4a26624feae0046d8770d53aaac2f

diff --git a/net-misc/maestral/maestral-1.5.3.ebuild 
b/net-misc/maestral/maestral-1.5.3.ebuild
new file mode 100644
index 000000000..dc1b54821
--- /dev/null
+++ b/net-misc/maestral/maestral-1.5.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Maestral is an open-source Dropbox client written in Python"
+HOMEPAGE="https://maestral.app";
+SRC_URI="https://github.com/samschott/maestral/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/click-8.0.2[${PYTHON_USEDEP}]
+       >=dev-python/desktop-notifier-3.3.0[${PYTHON_USEDEP}]
+       >=dev-python/dropbox-sdk-python-11.26.0[${PYTHON_USEDEP}]
+       <dev-python/dropbox-sdk-python-12.0.0[${PYTHON_USEDEP}]
+       >=dev-python/fasteners-0.15[${PYTHON_USEDEP}]
+       >=dev-python/keyring-22.0.0[${PYTHON_USEDEP}]
+       >=dev-python/keyrings-alt-3.1.0[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/pathspec-0.5.8[${PYTHON_USEDEP}]
+       >=dev-python/Pyro5-5.10[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.16.2[${PYTHON_USEDEP}]
+       >=dev-python/sdnotify-0.3.2[${PYTHON_USEDEP}]
+       >=dev-python/survey-3.4.3[${PYTHON_USEDEP}]
+       <dev-python/survey-4.0.0[${PYTHON_USEDEP}]
+       >=dev-python/watchdog-2.0.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' 
python3_8)
+"
+BDEPEND="
+       dev-python/build[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest-benchmark[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all()
+{
+       # this test requires systemd
+       sed -i -e 's/test_autostart/_&/' tests/offline/test_cli.py || die
+
+       # this test requires network
+       sed -i -e 's/test_check_for_updates/_&/' tests/offline/test_main.py || 
die
+
+       distutils-r1_python_prepare_all
+}
+
+pkg_postinst()
+{
+       xdg_icon_cache_update
+}
+
+pkg_postrm()
+{
+       xdg_icon_cache_update
+}

Reply via email to